#ifndef XRIGIDVERTLIST_H
#define XRIGIDVERTLIST_H

#include "xasset.h"
#include "xsurfacecollisiontree.h"

class XRigidVertList : public XAsset
{
public:
    explicit XRigidVertList();
    ~XRigidVertList();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    quint16 mBoneOffset;
    quint16 mVertCount;
    quint16 mTriOffset;
    quint16 mTriCount;
    XSurfaceCollisionTree mCollisionTree;
};

#endif // XRIGIDVERTLIST_H
